import cudf
import cupy


def corr(self, method):
    """compute the correlation matrix of a matrix, method: {'pearson','spearman'}"""
    
    if method == "pearson":
        
        corr = cupy.corrcoef(self.values, rowvar=False) 
        df = cudf.DataFrame(cupy.asfortranarray(corr)).set_index(self.columns) 
        df.columns = self.columns
    
    elif method == 'spearman':
        
        corr = cupy.corrcoef(self.rank().values, rowvar=False)
        df = cudf.DataFrame(cupy.asfortranarray(corr)).set_index(self.columns) 
        df.columns = self.columns
    
    else:
        
        raise ValueError("method must be either 'pearson', 'spearman'")
    
    return df 