import cudf
import cupy
import corr_spearman
import pytest
from cudf.tests.utils import assert_eq

@pytest.mark.parametrize('method',['spearman','pearson'])
def test_corr(method):
    
    data_gpu = cudf.datasets.randomdata(100, dtypes={'a': float, 'b': float}, seed=12)
    data_cpu = cudf.DataFrame.to_pandas(data_gpu)
    
    assert_eq(corr_spearman.corr(data_gpu, method)['a']['b'], data_cpu.corr(method)['a']['b'])
    assert_eq(corr_spearman.corr(data_gpu, method)['a']['b'], data_cpu.corr(method)['a']['b'])
    